org.gnome.gtk

## Interface Widget.Destroy

- Enclosing class:
    Widget

      public static interface Widget.Destroy

  Signal handler for when a Widget requests that all other code holding references to it release those references. In Java-speak, that means if you have this object in a variable or structure of some kind, `null` it out to to release the strong reference to the object.
  Since:
    4.0.20
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDestroy(Widget source)` Release any references you hold to the given `source` Widget.

- - ### Method Detail

    - #### onDestroy

          void onDestroy(Widget source)

      Release any references you hold to the given `source` Widget.